## bogofilter 1.2.5

=== doc/programmer/RISC-OS/gsl/Makefile ===
# Makefile for the RISC OS version of gsl


# Define which compiler to use:

CC = cc
#CC = gcc


#########################################
# DO NOT EDIT ANYTHING BELOW THIS LINE! #
#########################################

ifeq (${CC},cc)
CC = cc
LD = link
AR = libfile
DEPEND = -depend !Depend
CC_FLAGS = -Wdp -throwback -Otime -I^,@,Unix: -JUnix: -D__riscos__ -DHAVE_CONFIG_H
UNIXLIB = Unix:o.UnixLib
else
ifeq (${CC},gcc)
CC = gcc
LD = gcc
AR = ar
CC_FLAGS = -mthrowback -O3 -I^ -I@ -D__riscos__ -DHAVE_CONFIG_H
else
# No other compiler supported!
endif
endif

CDF_OBJS = cdf.o.chisq \
	cdf.o.gamma

ERR_OBJS = err.o.error \
	err.o.stream

SPECFUNC_OBJS = specfunc.o.elementary \
	specfunc.o.erfc \
	specfunc.o.exp \
	specfunc.o.expint \
	specfunc.o.gamma_inc \
	specfunc.o.log \
	specfunc.o.psi \
	specfunc.o.trig \
	specfunc.o.zeta

SYS_OBJS = sys.o.coerce \
	sys.o.fdiv \
	sys.o.infnan \
	sys.o.pow_int

.INIT:
	@cdir cdf.o
	@cdir err.o
	@cdir specfunc.o
	@cdir sys.o

## Rule Patterns ##

.SUFFIXES:	.c .o

.c.o:
	$(CC) $(CC_FLAGS) $(DEPEND) -c -o $@ $<

# Static dependencies:

libgsl: $(CDF_OBJS) $(ERR_OBJS) $(SPECFUNC_OBJS) $(SYS_OBJS)
	$(AR) $(AR_FLAGS) -c -o $@ $(CDF_OBJS) $(ERR_OBJS) $(SPECFUNC_OBJS) $(SYS_OBJS)

clean:
	-ifthere libgsl then wipe libgsl ~CFR~V
	-ifthere cdf.o.* then wipe cdf.o.* ~CFR~V
	-ifthere err.o.* then wipe err.o.* ~CFR~V
	-ifthere specfunc.o.* then wipe specfunc.o.* ~CFR~V
	-ifthere sys.o.* then wipe sys.o.* ~CFR~V

# Dynamic dependencies:

## bogofilter 1.2.2

=== debian/changelog ===
bogofilter (1.2.2-2ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #668031). Remaining changes:
    - Drop build dependency on libtokyocabinet-dev (universe).

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 28 Oct 2010 22:11:24 +0200

bogofilter (1.2.2-2) unstable; urgency=high

  * Add debian/bogofilter-{bdb,sqlite,tokyocabinet}.preinst to remove
    /usr/share/doc/bogofilter-{bdb,sqlite,tokyocabinet} if they exist and are
    symlinks, which was the case back in 1.1.7-2. Setting urgency=high.
    closes: #600489.
  * Update standards version (no changes).

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 18 Oct 2010 20:51:27 +0200

bogofilter (1.2.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable (lp: #604241). Remaining changes:
    - Drop build dependency on libtokyocabinet-dev (universe).

 -- Michael Bienia <geser@ubuntu.com>  Sun, 11 Jul 2010 12:31:20 +0200

bogofilter (1.2.2-1) unstable; urgency=low

  * New Upstream Version (fixes CVE-2010-2494, aka bogofilter-SA-2010-01, so
    drop debian/patches/prevent-memory-corruption-in-base64_decode.diff)

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 09 Jul 2010 19:25:51 +0200

bogofilter (1.2.1-3) unstable; urgency=high

  * Apply patch from Julius Plenz <plenz@cis.fu-berlin.de> to prevent possible
    heap corruption due to a bug in the base64_decode function (see
    bogofilter-SA-2010-01). Setting urgency=high. closes: #588090.
  * Do not hardwire the optimisation level for s390. closes: 582882.
  * Apply patch from Loïc Minier <lool@dooz.org> to not build
    bogofilter-tokyocabinet for Ubuntu (and Ubuntu-derived) distributions.
    closes: #581995.
  * Force autoconf to use bash. closes: #583311.
  * debian/bogofilter-common.NEWS: fix debian-news-entry-without-blank-line
  * debian/control:Maintainer: set to my debian email address.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 06 Jul 2010 00:21:16 +0200

bogofilter (1.2.1-2ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - Don't build tokyocabinet; drop build-dep.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 14 May 2010 16:33:55 +0200

bogofilter (1.2.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4 (no changes).
  * Convert to dpkg-source 3.0 (quilt) format
  * Add Depends: ${misc:Depends} for all binary packages
  * bogofilter-common:
      - actually install upstream docs, which was not the case since the
        convertion to dh
      - register upstream docs with doc-base and add Suggests: doc-base
      - rename NEWS files so that they're actually picked up by dh
      - remove entry about dropping qdbm backend from NEWS file (which was
        not shipped anyway, due to the issue above)
  * bdb backend:
      - build with libdb4.8 and update Suggests to db4.8-util
      - add NEWS.Debian entry to advise users that have enabled bdb
        transactions, on upgrade steps
      - correct db-util version in NEWS.Debian for bogofilter-bdb 1.2.0-2

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 14 Feb 2010 11:48:55 +0100

bogofilter (1.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Bump Standards-Version to 3.8.2 (no changes).
  * Switch debian/rules to debhelper and improve error handling.
  * Skip tests when DEB_BUILD_OPTIONS contains nocheck.
  * Remove revision part of libdb-dev in Build-Depends to ease backporting
    (fixes build-depends-on-1-revision lintian warning).
  * Make the dummy package bogofilter depend on bogofilter-common and remove
    lintian override.
  * Patch bf_tar to use tar instead of pax given the higher priority of the
    former, and drop "Suggests: pax". closes: #341973.
  * Add Build-Depends on quilt.
  * Copy upstream bogofilter.cf.example to
    /usr/share/doc/bogofilter/examples/bogofilter.cf.example. closes: #266552
  * Reduce priority of bogofilter-tokyocabinet to extra, to align with the
    priority of its dependency libtokyocabinet8. Ditto for bogofilter-sqlite
    for consistency, as they are both alternative backends. closes: #539561.
  * Use a single changelog file for all binary packages.
  * Drop bogofilter-qdbm and announce so in bogofilter-common's NEWS.Debian

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 02 Aug 2009 22:57:31 +0200

bogofilter (1.2.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release; LP: #557468.
    - Fixes parsing of the first line of the body in MIME messages;
      LP: #320829.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 10 Apr 2010 11:08:53 +0200

bogofilter (1.2.0-3ubuntu2) lucid; urgency=low

  * Compute md5sums for bogofilter
  * Cleanup debian/tmp and debian/bogofilter-sqlite
  * Honor nocheck in DEB_BUILD_OPTIONS

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 11 Jan 2010 23:59:07 +0100

bogofilter (1.2.0-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - don't build qdbm.
    - Don't build tokyocabinet support as it's in universe.

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Fri, 05 Jun 2009 11:31:55 +0200

bogofilter (1.2.0-3) unstable; urgency=low

  * New maintainer.  closes: #524743.
  * Maintain a separate Debian changelog for every binary package.
    closes: #524191.
  * Allow the system administrator to choose a db backend, other than the
    default bdb, using update-alternatives.  closes: #315318.
  * Add symbolic links so that manpages are accessible regardless of the db
    backend in use.  closes: #437718.
  * Make executable
    /usr/share/doc/bogofilter-common/examples/contrib/bogominitrain.pl
    closes: #281892.
  * Add lintian override for false lintian error message.
  * Update binary package descriptions and remove duplicate Section: fields in
    debian/control.

 -- Serafeim Zanikolas <serzan@hellug.gr>  Wed, 06 May 2009 21:03:34 +0200

bogofilter (1.2.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #372497
    - don't build qdbm.


=== debian/control ===
Source: bogofilter
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev
Standards-Version: 3.9.1

Package: bogofilter
Architecture: any
Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
Description: a fast Bayesian spam filter (dummy package)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.

Package: bogofilter-bdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
Suggests: db4.8-util
Provides: bogofilter-db
Replaces: bogofilter (<< 0.94.14-1)
Description: a fast Bayesian spam filter (Berkeley DB)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides the bdb database backend.

Package: bogofilter-sqlite
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
Provides: bogofilter-db
Description: a fast Bayesian spam filter (sqlite)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides the sqlite database backend.

Package: bogofilter-tokyocabinet
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
Provides: bogofilter-db
Description: a fast Bayesian spam filter (tokyocabinet)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides the tokyocabinet backend.

Package: bogofilter-common
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Replaces: bogofilter (<< 0.94.14-1)
Description: a fast Bayesian spam filter (common files)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides files that are common for all database backends.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CONFIG_SHELL=/bin/bash

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from ubuntu && echo yes) || echo no)
ifeq ($(derives_from_ubuntu),yes)
DO_TOKYOCABINET = no
export DH_OPTIONS := -Nbogofilter-tokyocabinet
else
DO_TOKYOCABINET = yes
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
TESTS_TARGET = check
else
TESTS_TARGET =
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir obj-db obj-sqlite
	cd obj-db && CFLAGS="$(CFLAGS)" ../configure --with-database=db \
		--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc \
		AWK=awk
	cd obj-sqlite && CFLAGS="$(CFLAGS)" ../configure --with-database=sqlite \
		--program-suffix=-sqlite --prefix=/usr --mandir=\$${prefix}/share/man \
		--sysconfdir=/etc AWK=awk && \
		sed -i 's/^INTEGRITY_TESTS.*/INTEGRITY_TESTS=t.lock1/' src/tests/Makefile
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		mkdir obj-tokyocabinet; \
		cd obj-tokyocabinet && CFLAGS="$(CFLAGS)" ../configure \
			--with-database=tokyocabinet --program-suffix=-tokyocabinet \
			--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc AWK=awk; \
	fi
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	cd obj-db && $(MAKE)
	cd obj-sqlite && $(MAKE)
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		cd obj-tokyocabinet && $(MAKE); \
	fi
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp config.h.in debian/*debhelper.log \
		debian/*.substvars debian/bogofilter.substvars \
		debian/files debian/bogofilter-bdb.substvars \
		debian/bogofilter-sqlite.substvars
	rm -rf debian/bogofilter debian/bogofilter-bdb \
		debian/bogofilter-sqlite debian/bogofilter-common \
		obj-db obj-sqlite
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		rm -rf debian/bogofilter-tokyocabinet obj-tokyocabinet \
			debian/bogofilter-tokyocabinet.substvars; \
	fi

check:
	dh_testdir
	cd obj-db && $(MAKE) check
	cd obj-sqlite && $(MAKE) check
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		cd obj-tokyocabinet && $(MAKE) check; \
	fi

PACKAGES = bdb sqlite
ifeq ($(DO_TOKYOCABINET),yes)
	PACKAGES += tokyocabinet
endif
PROGRAMS = bf_compact bf_copy bf_tar bogofilter bogolexer bogotune \
		   bogoupgrade bogoutil

binary-arch: $(TESTS_TARGET)
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdirs
	# rename binaries: util becomes util-pkg
	test -e obj-bdb || ln -s obj-db obj-bdb
	for p in ${PACKAGES}; do \
		for i in ${PROGRAMS}; do \
			(set -e; cp obj-$${p}/src/$${i} debian/bogofilter-$${p}/usr/bin/$${i}-$${p}) \
		done \
	done
	rm -f obj-bdb
	cp bogofilter.cf.example debian/bogofilter-common/etc/bogofilter.cf
	dh_installman
	dh_compress
	dh_installdocs
	# installdocs copies copyright/changelog in doc/bogofilter
	# but we really want it to be a symlink to doc/bogofilter-common
	rm -rf debian/bogofilter/usr/share/doc/bogofilter
	dh_link
	dh_installexamples
	dh_fixperms
	chmod 755 debian/bogofilter-common/usr/share/doc/bogofilter-common/examples/contrib/bogominitrain.pl
	mv debian/bogofilter-common/usr/share/doc/bogofilter-common/examples/contrib/*example \
		debian/bogofilter-common/usr/share/doc/bogofilter-common/examples
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bogofilter 1.2.2%2bdfsg1

=== debian/changelog ===
bogofilter (1.2.2+dfsg1-2) unstable; urgency=high

  * Cherry-pick fix and test for CVE-2012-5468 (aka bogofilter-SA-2012-01)
    from upstream release 1.2.3. Setting urgency to high. closes: #695139.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 04 Dec 2012 20:08:50 +0100

bogofilter (1.2.2+dfsg1-1) unstable; urgency=low

  * Rebuild with repackaged source to exclude non-DFSG-free licensed security
    advisories (this only affects the source package, as the files were not
    included in the binaries). closes: #645825.
  * Add debian/README.source to document the above-described modification to
    the upstream tarball
  * Add debhelper token to all maintainer scripts
  * Add debian/rules targets build-arch and build-indep
  * debian/copyright: list non-DFSG-free files that were removed in repackaged
    source, and change my email address to the debian one

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 27 Nov 2011 15:28:05 +0100

bogofilter (1.2.2-3) unstable; urgency=low

  * bdb backend:
      - build with libdb5.1 and update Suggests to db5.1-util
        closes: #621406.
      - add NEWS.Debian entry to advise users that have enabled bdb
        transactions, on upgrade steps
  * Add Vcs-* fields to debian/control.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Drop indefinite article from package short descriptions

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 09 Apr 2011 21:04:24 +0200

## bogofilter 1.2.2+dfsg1

=== debian/changelog ===
bogofilter (1.2.2+dfsg1-1ubuntu0.12.04.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via heap corruption
    - debian/patches/CVE-2012-5468.patch: properly check outbytesleft, add
      tests in src/iconvert.c, src/tests/t.crash-invalid-base64,
      src/test/Makefile.*.
    - CVE-2012-5468

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Dec 2012 09:48:05 -0500

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev, libtokyocabinet-dev
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/collab-maint/bogofilter.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/bogofilter.git
 
 Package: bogofilter
 Architecture: any
 Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
-Description: a fast Bayesian spam filter (dummy package)
+Description: fast Bayesian spam filter (dummy package)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -22,10 +24,10 @@
 Package: bogofilter-bdb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
-Suggests: db4.8-util
+Suggests: db5.1-util
 Provides: bogofilter-db
 Replaces: bogofilter (<< 0.94.14-1)
-Description: a fast Bayesian spam filter (Berkeley DB)
+Description: fast Bayesian spam filter (Berkeley DB)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -42,7 +44,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
 Provides: bogofilter-db
-Description: a fast Bayesian spam filter (sqlite)
+Description: fast Bayesian spam filter (sqlite)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -59,7 +61,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
 Provides: bogofilter-db
-Description: a fast Bayesian spam filter (tokyocabinet)
+Description: fast Bayesian spam filter (tokyocabinet)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -76,7 +78,7 @@
 Depends: ${misc:Depends}
 Suggests: doc-base
 Replaces: bogofilter (<< 0.94.14-1)
-Description: a fast Bayesian spam filter (common files)
+Description: fast Bayesian spam filter (common files)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .

=== debian/rules ===
--- 
+++ 
@@ -115,5 +115,10 @@
 	dh_md5sums
 	dh_builddeb
 
+# TODO: fix Package builds NAME_all.deb when binary-indep target is not called
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/bogofilter/ bogofilter-([\d.]*).tar.gz debian uupdate

## bogofilter 1.2.4+dfsg1

=== debian/changelog ===
bogofilter (1.2.4+dfsg1-4build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 12:57:16 -0500

bogofilter (1.2.4+dfsg1-4) unstable; urgency=low

  * Orphan package.
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg <sebastic@debian.org> for the patch
    (closes: #807187).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 06 Dec 2015 21:32:17 +0000

bogofilter (1.2.4+dfsg1-3) unstable; urgency=medium

  * Update config.guess to build on hurd-i386 (Closes: #729192). Thanks to
    Samuel Thibault <sthibault@debian.org> for the patch.
  * Bump Standards-Version to 3.9.5 (no changes).
  * bdb backend:
      - build with libdb5.3 and update Suggests to db5.3-util
      - add NEWS.Debian entry to advise users that have enabled bdb
        transactions, on upgrade steps

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 08 May 2014 20:31:19 +0100

bogofilter (1.2.4+dfsg1-2) unstable; urgency=low

  * Fix binary-arch-produces-all lintian error, ie. make the debian/rules
    binary-arch target not build Architecture: all packages.
  * Make the bogofilter dummy package Architecture: all.
  * Rename bogofilter-faq-bg.xhtml .html, to not confuse doc-base tools.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 12 Aug 2013 17:22:54 +0100

bogofilter (1.2.4+dfsg1-1) unstable; urgency=low

  * New Upstream Version
    * Add bogofilter-SA-2012-01 to the list of non-DFSG licensed files in
      debian/copyright, that are removed in the repackaged upstream tarball.
    * Drop debian/patches/sa-2012-01-fix.diff (it's included in new upstream)
    * Add debian/bogofilter-common.doc-base.bogofilter-faq-bg and
      register it to debian/bogofilter-common.docs
  * Bump Standards-Version to 3.9.4
    * debian/copyright: drop Debian maintainer info
  * Fix doc-base key for bogofilter-common.doc-base.bogofilter-faq-fr

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 11 Aug 2013 22:15:20 +0100

bogofilter (1.2.2+dfsg1-3) unstable; urgency=low

  * Build with security hardening enabled.
  * debian/rules: fix the binary target by making the binary-arch target
    depend on the build target
  * Update debian/watch to mangle Debian version. closes: #665340.

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 09 Dec 2012 14:01:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: bogofilter
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev, libtokyocabinet-dev
-Standards-Version: 3.9.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl-dev, libsqlite3-dev, libtokyocabinet-dev, autotools-dev, libtrio-dev
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/collab-maint/bogofilter.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bogofilter.git
 
 Package: bogofilter
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
 Description: fast Bayesian spam filter (dummy package)
  This package implements a fast Bayesian spam filter along the lines suggested
@@ -24,7 +23,7 @@
 Package: bogofilter-bdb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
-Suggests: db5.1-util
+Suggests: db5.3-util
 Provides: bogofilter-db
 Replaces: bogofilter (<< 0.94.14-1)
 Description: fast Bayesian spam filter (Berkeley DB)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CONFIG_SHELL=/bin/bash

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from ubuntu && echo yes) || echo no)
ifeq ($(derives_from_ubuntu),yes)
DO_TOKYOCABINET = no
export DH_OPTIONS := -Nbogofilter-tokyocabinet
else
DO_TOKYOCABINET = yes
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
TESTS_TARGET = check
else
TESTS_TARGET =
endif

configure-indep: configure-indep-stamp
configure-indep-stamp:
	dh_testdir
	mkdir -p obj-doc
	cd obj-doc && ../configure
	touch configure-indep-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-indep-stamp
	cd obj-doc/doc && $(MAKE)
	touch build-indep-stamp

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	mkdir obj-db obj-sqlite
	cd obj-db && ../configure --with-database=db \
		--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc \
		AWK=awk $(shell dpkg-buildflags --export=configure)
	cd obj-sqlite && ../configure --with-database=sqlite \
		--program-suffix=-sqlite --prefix=/usr --mandir=\$${prefix}/share/man \
		--sysconfdir=/etc AWK=awk $(shell dpkg-buildflags --export=configure) && \
		sed -i 's/^INTEGRITY_TESTS.*/INTEGRITY_TESTS=t.lock1/' src/tests/Makefile
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		mkdir obj-tokyocabinet; \
		cd obj-tokyocabinet && ../configure \
			--with-database=tokyocabinet --program-suffix=-tokyocabinet \
			--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc AWK=awk \
			$(shell dpkg-buildflags --export=configure); \
	fi
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	cd obj-db && $(MAKE)
	cd obj-sqlite && $(MAKE)
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		cd obj-tokyocabinet && $(MAKE); \
	fi
	touch build-stamp

clean:
	dh_testdir
	dh_autotools-dev_restoreconfig
	rm -f build-stamp configure-stamp build-indep-stamp configure-indep-stamp \
		config.h.in debian/*debhelper.log \
		debian/*.substvars debian/bogofilter.substvars \
		debian/files debian/bogofilter-bdb.substvars \
		debian/bogofilter-sqlite.substvars
	rm -rf debian/bogofilter debian/bogofilter-bdb \
		debian/bogofilter-sqlite debian/bogofilter-common \
		obj-db obj-sqlite obj-doc
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		rm -rf debian/bogofilter-tokyocabinet obj-tokyocabinet \
			debian/bogofilter-tokyocabinet.substvars; \
	fi

check:
	dh_testdir
	cd obj-db && $(MAKE) check
	cd obj-sqlite && $(MAKE) check
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		cd obj-tokyocabinet && $(MAKE) check; \
	fi

PACKAGES = bdb sqlite
ifeq ($(DO_TOKYOCABINET),yes)
	PACKAGES += tokyocabinet
endif
PROGRAMS = bf_compact bf_copy bf_tar bogofilter bogolexer bogotune \
		   bogoupgrade bogoutil

binary-arch: build $(TESTS_TARGET)
	dh_testdir
	dh_testroot
	dh_installdirs
	# rename binaries: util becomes util-pkg
	test -e obj-bdb || ln -s obj-db obj-bdb
	for p in ${PACKAGES}; do \
		for i in ${PROGRAMS}; do \
			(set -e; cp obj-$${p}/src/$${i} debian/bogofilter-$${p}/usr/bin/$${i}-$${p}) \
		done; \
		dh_installdocs -pbogofilter-$${p}; \
		dh_installchangelogs -pbogofilter-$${p}; \
	done
	rm -f obj-bdb
	dh_link
	dh_fixperms
	dh_compress
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	for p in ${PACKAGES}; do \
		dh_builddeb -pbogofilter-$${p}; \
	done

binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_installdirs -pbogofilter-common -pbogofilter
	dh_installman -pbogofilter-common
	dh_installchangelogs -pbogofilter-common
	cp bogofilter.cf.example debian/bogofilter-common/etc/bogofilter.cf
	dh_installdocs -pbogofilter-common
	# rename this to .html, to not confuse doc-base tools
	if [ -e debian/bogofilter-common/usr/share/doc/bogofilter-common/bogofilter-faq-bg.xhtml ]; then \
		mv debian/bogofilter-common/usr/share/doc/bogofilter-common/bogofilter-faq-bg.xhtml \
		   debian/bogofilter-common/usr/share/doc/bogofilter-common/bogofilter-faq-bg.html; \
	fi
	dh_compress -X.pl
	dh_installdeb -pbogofilter-common -pbogofilter
	# installdocs copies copyright/changelog in doc/bogofilter
	# but we really want it to be a symlink to doc/bogofilter-common
	rm -rf debian/bogofilter/usr/share/doc/bogofilter
	dh_link -pbogofilter
	dh_installexamples -pbogofilter-common
	chmod 755 debian/bogofilter-common/usr/share/doc/bogofilter-common/examples/contrib/bogominitrain.pl
	mv debian/bogofilter-common/usr/share/doc/bogofilter-common/examples/contrib/*example \
		debian/bogofilter-common/usr/share/doc/bogofilter-common/examples
	dh_fixperms -pbogofilter-common
	dh_gencontrol -pbogofilter-common -pbogofilter
	dh_md5sums -pbogofilter-common
	dh_builddeb -pbogofilter-common -pbogofilter

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-indep-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure configure-indep build-indep

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
    http://sf.net/bogofilter/ bogofilter-([\d.]*).tar.gz debian uupdate

## bogofilter 1.2.5

=== debian/changelog ===
bogofilter (1.2.5-1) unstable; urgency=high

  * New upstream release. (Closes: #980328)
    - Security announcements have been relicensed under
       a dual-license, with GPLv3+ as second option.
    - Fixes crashes with several emails. (Closes: #733622)
  * Remove the unused build dependency on libtrio-dev.
    (Closes: #746814)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 12:00:56 +0200

bogofilter (1.2.4+dfsg1-13) unstable; urgency=medium

  * Build without autoreconf for now, it causes test problems.

 -- Adrian Bunk <bunk@debian.org>  Fri, 09 Mar 2018 21:30:08 +0200

bogofilter (1.2.4+dfsg1-12) unstable; urgency=medium

  * Add flex build dependency, required with autoreconf
    that is default with debhelper compat >= 10.

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Mar 2018 21:52:44 +0200

bogofilter (1.2.4+dfsg1-11) unstable; urgency=medium

  * Also make bogofilter binary-any, to avoid broken dependencies
    after binNMUs. (Closes: #891911)
  * Disable tests on hurd, to workaround test hangs.
  * debhelper compat 11
  * Priority: extra -> optional

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Mar 2018 20:38:56 +0200

bogofilter (1.2.4+dfsg1-10) unstable; urgency=medium

  * Make bogofilter-common binary-any, to avoid broken dependencies
    after binNMUs. (Closes: #871694)

 -- Adrian Bunk <bunk@debian.org>  Sun, 13 Aug 2017 18:39:05 +0300

bogofilter (1.2.4+dfsg1-9) unstable; urgency=medium

  * New maintainer. (Closes: #758455)

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Jan 2017 16:15:21 +0200

bogofilter (1.2.4+dfsg1-8) unstable; urgency=medium

  * QA upload.
  * debian/*.preinst:
      - using dpkg-maintscript-helper. So the file's suffix is .maintscript now.
        Packages affected:
          bogofilter and bogofilter-{bdb, sqlite, tokyocabinet}
        Option used: dir_to_symlink
        (Closes: #832291) Thanks Andreas Beckmann and James Cowgill.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 14 Sep 2016 14:39:50 -0300

bogofilter (1.2.4+dfsg1-7) unstable; urgency=medium

  * QA upload. (Closes: #832291). Thanks Andreas Beckmann.
  * debian/copyright:
      - updated my email address.
  * debian/control:
      - Pre-Depends: ${misc:Pre-Depends} added  to bogofilter and
       bogofilter-{bdb, sqlite, tokyocabinet}
  * debian/bogofilter.links removed:
      - Not necessary. dh_installdocs is taking care of it.
  * debian/bogofilter.preinst (created):
    debian/bogofilter-bdb.preinst:
    debian/bogofilter-sqlite.preinst:
    debian/bogofilter-tokyocabinet.preinst:
      - using the script from https://wiki.debian.org/MissingCopyrightFile

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 28 Jul 2016 10:47:54 -0300

bogofilter (1.2.4+dfsg1-6) unstable; urgency=low

  * QA upload.
  * - debian/bogofilter-*.install files created:
        - to copy and rename the executables and configuration files to the
          apropriated packages.
  * debian/*.dirs removed.
  * debian/*.links:
      - lines that make the link to '/usr/share/doc/bogofilter-common'
        removed.
  * debian/control:
      - dh-exec added to Build-Depends.
      - using (= ${source:Version}) for 'binnmuable-any-depends-all'
  * debian/rules:
      - extra 'export' from DEB_BUILD_MAINT_OPTIONS removed.
      - lines that copy and rename executables and configuration files
        removed.
      - override_dh_link removed.
      - using 'dh_installdocs --link-doc'

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 15 May 2016 10:38:00 -0300

bogofilter (1.2.4+dfsg1-5) unstable; urgency=low

  * QA upload.
  * Updated the DH level from 7 to 9.
  * debian/*.links:
      - link to '/usr/share/doc/bogofilter-common added.
      - link to '/usr/share/man/man1/bogofilter.1.gz' added.
  * debian/*.NEWS:
      - Fixed a spelling error (and and).
      - Removed all '*' from the beginning of a phrase.
      - Removed all '-' from the beginning of a phrase.
  * debian/bogofilter-common.docs:
      - added:
          - doc/README.db.
          - doc/README.sqlite.
  * debian/bogofilter-bdb.docs removed.
  * debian/bogofilter-sqlite.docs removed.
  * debian/control:
      - Build-Depends:
          - debhelper >= 9.
      - Bump Standards-Version to 3.9.8.
      - Homepage field added.
      - Vcs* with new format. (https)
  * debian/copyright:
      - rewritten to format 1.0.
      - updated.
  * debian/patches:
      - created: (Closes: #815866)
          - t_bulkmode-nogrep.patch
          - t_dump_load-nogrep.patch
          - t_nonascii_replace-nogrep.patch
  * debian/rules:
      - rewritten to the new format.
      - hardening added.
  * debian/watch:
      - version 4.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 08 May 2016 10:17:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: bogofilter
 Section: mail
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl-dev, libsqlite3-dev, libtokyocabinet-dev, autotools-dev, libtrio-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/collab-maint/bogofilter.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/bogofilter.git
+Maintainer: Adrian Bunk <bunk@debian.org>
+Build-Depends: debhelper (>= 11),
+               dh-exec,
+               flex,
+               libdb-dev (>= 4.6.19),
+               libgsl-dev,
+               libsqlite3-dev,
+               libtokyocabinet-dev,
+Standards-Version: 3.9.8
+Homepage: http://bogofilter.sourceforge.net/
 
 Package: bogofilter
-Architecture: all
-Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
-Description: fast Bayesian spam filter (dummy package)
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-bdb | bogofilter-db, bogofilter-common, ${misc:Depends}
+Description: fast Bayesian spam filter (meta package)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -22,7 +28,10 @@
 
 Package: bogofilter-bdb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: db5.3-util
 Provides: bogofilter-db
 Replaces: bogofilter (<< 0.94.14-1)
@@ -39,9 +48,12 @@
  This package provides the bdb database backend.
 
 Package: bogofilter-sqlite
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: bogofilter-db
 Description: fast Bayesian spam filter (sqlite)
  This package implements a fast Bayesian spam filter along the lines suggested
@@ -56,9 +68,12 @@
  This package provides the sqlite database backend.
 
 Package: bogofilter-tokyocabinet
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: bogofilter-db
 Description: fast Bayesian spam filter (tokyocabinet)
  This package implements a fast Bayesian spam filter along the lines suggested
@@ -73,7 +88,7 @@
  This package provides the tokyocabinet backend.
 
 Package: bogofilter-common
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Suggests: doc-base
 Replaces: bogofilter (<< 0.94.14-1)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CONFIG_SHELL=/bin/bash

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from ubuntu && echo yes) || echo no)
ifeq ($(derives_from_ubuntu),yes)
DO_TOKYOCABINET = no
export DH_OPTIONS := -Nbogofilter-tokyocabinet
else
DO_TOKYOCABINET = yes
endif

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	mkdir -p $(CURDIR)/obj-doc
	cd $(CURDIR)/obj-doc && ../configure
	mkdir $(CURDIR)/obj-db $(CURDIR)/obj-sqlite
	cd $(CURDIR)/obj-db && ../configure --with-database=db \
		--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc \
		AWK=awk $(shell dpkg-buildflags --export=configure)
	cd $(CURDIR)/obj-sqlite && ../configure --with-database=sqlite \
		--program-suffix=-sqlite --prefix=/usr --mandir=\$${prefix}/share/man \
		--sysconfdir=/etc AWK=awk $(shell dpkg-buildflags --export=configure) && \
		sed -i 's/^INTEGRITY_TESTS.*/INTEGRITY_TESTS=t.lock1/' src/tests/Makefile
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		mkdir $(CURDIR)/obj-tokyocabinet; \
		cd $(CURDIR)/obj-tokyocabinet && ../configure \
			--with-database=tokyocabinet --program-suffix=-tokyocabinet \
			--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc AWK=awk \
			$(shell dpkg-buildflags --export=configure); \
	fi

override_dh_auto_build:
	cd $(CURDIR)/obj-doc/doc && $(MAKE)
	cd $(CURDIR)/obj-db && $(MAKE)
	cd $(CURDIR)/obj-sqlite && $(MAKE)
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		cd $(CURDIR)/obj-tokyocabinet && $(MAKE); \
	fi

override_dh_install:
	test -e obj-bdb || ln -s obj-db obj-bdb
	if [ $(DO_TOKYOCABINET) = yes ]; then \
                dh_install; \
	else dh_install -Xtokyocabinet; \
        fi

	dh_install

override_dh_installdocs:
	dh_installdocs --link-doc=bogofilter-common
	if [ -e debian/bogofilter-common/usr/share/doc/bogofilter-common/bogofilter-faq-bg.xhtml ]; then \
		mv debian/bogofilter-common/usr/share/doc/bogofilter-common/bogofilter-faq-bg.xhtml \
		   debian/bogofilter-common/usr/share/doc/bogofilter-common/bogofilter-faq-bg.html; \
	fi

override_dh_installchangelogs:
	dh_installchangelogs NEWS -pbogofilter-common

override_dh_compress:
	dh_compress -X.pl

override_dh_auto_clean:
	rm -fr obj-bdb obj-db obj-sqlite obj-doc
	if [ $(DO_TOKYOCABINET) = yes ];then \
		rm -rf obj-tokyocabinet; \
	fi

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH_OS), hurd))
override_dh_auto_test:
	cd $(CURDIR)/obj-db && $(MAKE) check
	cd $(CURDIR)/obj-sqlite && $(MAKE) check
	if [ $(DO_TOKYOCABINET) = yes ]; then \
		cd $(CURDIR)/obj-tokyocabinet && $(MAKE) check; \
	fi
endif
endif

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d+$// \
    http://sf.net/bogofilter/ bogofilter-([\d.]*).tar.gz debian uupdate
